uses globals,crt;

const
 numdev=145;          { number of devices defined here }
 devfilesize=200;     { total number of records to be in devdef file }
 devicedef: array[0..numdev] of devdeftype= (
             (num: 0;

              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: radio;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Nil';
              store: Nostore;
              cost: 0;
              usable: false;
              pic: 'NIL';
              picnum: 0),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: radio;
              useleft: 1;
              maxuse: 1;
              decuse: false;
              name: 'Radio';
              store: Supp;
              cost: 1000;
              usable: true;
              pic: 'RADIO';
              picnum: 15),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: lrscan;
              useleft: 1;
              maxuse: 1;
              decuse: false;
              name: 'LR Scan';
              store: Supp;
              cost: 32000;
              usable: true;
              pic: 'LRSCAN';
              picnum: 2),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medkit;
              useleft: 10;
              maxuse: 10;
              decuse: true;
              name: 'MedKit';
              store: Supp;
              cost: 750;
              usable: true;
              pic: 'MEDKIT10';
              picnum: 17),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medkit;
              useleft: 15;
              maxuse: 15;
              decuse: true;
              name: 'MedKit';
              store: Supp;
              cost: 1500;
              usable: true;
              pic: 'MEDKIT15';
              picnum: 17),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medkit;
              useleft: 25;
              maxuse: 25;
              decuse: true;
              name: 'MedKit';
              store: Supp;
              cost: 5000;
              usable: true;
              pic: 'MEDKIT25';
              picnum: 17),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medkit;
              useleft: 50;
              maxuse: 50;
              decuse: true;
              name: 'MedKit';
              store: Supp;
              cost: 10000;
              usable: true;
              pic: 'MEDKIT50';
              picnum: 17),

             (num: 0;
              var1: 0103;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Rolling Pin';
              store: nostore;
              cost: 350;
              usable: false;
              pic: 'RPIN';
              picnum: 64),

             (num: 0;
              var1: 0103;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Knife';
              store: weap;
              cost: 350;
              usable: false;
              pic: 'KNIFE';
              picnum: 4),

             (num: 0;
              var1: 0203;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Dagger';
              store: weap;
              cost: 500;
              usable: false;
              pic: 'DAGGER';
              picnum: 28),

             (num: 0;
              var1: 0205;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Sword';
              store: weap;
              cost: 1000;
              usable: false;
              pic: 'SWORD';
              picnum: 19),

             (num: 0;
              var1: 0307;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'RazorLance';
              store: weap;
              cost: 2100;
              usable: false;
              pic: 'LANCE';
              picnum: 12),

             (num: 0;
              var1: 030408;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ElectroBlade';
              store: weap;
              cost: 7500;
              usable: false;
              pic: 'EBLADE';
              picnum: 27),

             (num: 0;
              var1: 030510;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ElectroSword';
              store: weap;
              cost: 20000;
              usable: false;
              pic: 'ESWORD';
              picnum: 20),

             (num: 0;
              var1: 030612;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ElectroLance';
              store: weap;
              cost: 40000;
              usable: false;
              pic: 'ELANCE';
              picnum: 9),

             (num: 0;
              var1: 0816;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Slicer-Dicer';
              store: nostore;
              cost: 50000;
              usable: false;
              pic: 'SDICER';
              picnum: 33),

             (num: 0;
              var1: 040918;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'GravSword';
              store: nostore;
              cost: 100000;
              usable: false;
              pic: 'GSWORD';
              picnum: 67),

             (num: 0;
              var1: 061020;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'WidowLance';
              store: nostore;
              cost: 125000;
              usable: false;
              pic: 'WLANCE';
              picnum: 41),

             (num: 0;
              var1: 071422;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Sabre';
              store: weap;
              cost: 250000;
              usable: false;
              pic: 'NSABRE';
              picnum: 59),

             (num: 0;
              var1: 0407;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'SlingShot';
              store: nostore;
              cost: 500;
              usable: false;
              pic: 'SLING';
              picnum: 43),

             (num: 0;
              var1: 010609;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Crossbow';
              store: weaplr;
              cost: 2100;
              usable: false;
              pic: 'CROSSBOW';
              picnum: 30),

             (num: 0;
              var1: 020811;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Clip Pistol';
              store: weaplr;
              cost: 5000;
              usable: false;
              pic: 'PISTOL';
              picnum: 32),

             (num: 0;
              var1: 020913;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Uzi 9mm';
              store: weaplr;
              cost: 10000;
              usable: false;
              pic: 'UZI';
              picnum: 5),

             (num: 0;
              var1: 031017;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Phaser-1';
              store: weaplr;
              cost: 20000;
              usable: false;
              pic: 'PHASER1';
              picnum: 60),

             (num: 0;
              var1: 031218;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Phaser-2';
              store: weaplr;
              cost: 25000;
              usable: false;
              pic: 'PHASER2';
              picnum: 61),

             (num: 0;
              var1: 031420;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Phaser-3';
              store: weaplr;
              cost: 35000;
              usable: false;
              pic: 'PHASER3';
              picnum: 62),

             (num: 0;
              var1: 031622;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Comp Blaster';
              store: weaplr;
              cost: 40000;
              usable: false;
              pic: 'COMPBLST';
              picnum: 63),

             (num: 0;
              var1: 1723;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Torpx Cannon';
              store: nostore;
              cost: 55000;
              usable: false;
              pic: 'TORPX';
              picnum: 40),

             (num: 0;
              var1: 041925;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'GravBlast';
              store: weaplr;
              cost: 60000;
              usable: false;
              pic: 'GRAVBLST';
              picnum: 1),

             (num: 0;
              var1: 052330;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'PlasmaBlast';
              store: weaplr;
              cost: 150000;
              usable: false;
              pic: 'PBLAST';
              picnum: 24),

             (num: 0;
              var1: 062532;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'WidowBlaster';
              store: nostore;
              cost: 200000;
              usable: false;
              pic: 'WBLAST';
              picnum: 44),

             (num: 0;
              var1: 072535;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Rifle';
              store: weaplr;
              cost: 250000;
              usable: false;
              pic: 'NEUTRIF';
              picnum: 69),

             (num: 0;
              var1: 1530;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: grenade;
              useleft: 25;
              maxuse: 25;
              decuse: false;
              name: 'Grenade Pack';
              store: weaplr;
              cost: 20000;
              usable: false;
              pic: 'GRENADE';
              picnum: 13),

             (num: 0;
              var1: 01;
              var2: 20;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Crsbw blts';
              store: ammo;
              cost: 200;
              usable: false;
              pic: 'BOLTS';
              picnum: 31),

             (num: 0;
              var1: 02;
              var2: 20;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: '9mm ammo';
              store: ammo;
              cost: 800;
              usable: false;
              pic: '9MMAMMO';
              picnum: 29),

             (num: 0;
              var1: 03;
              var2: 35;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Power Pack';
              store: ammo;
              cost: 3000;
              usable: false;
              pic: 'PPACK';
              picnum: 23),

             (num: 0;
              var1: 03;
              var2: 150;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Power Belt';
              store: ammo;
              cost: 20000;
              usable: false;
              pic: 'BELT';
              picnum: 57),

             (num: 0;
              var1: 04;
              var2: 35;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'GravPack';
              store: ammo;
              cost: 12000;
              usable: false;
              pic: 'GRAVPACK';
              picnum: 54),

             (num: 0;
              var1: 05;
              var2: 40;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'PlasmaPack';
              store: ammo;
              cost: 17000;
              usable: false;
              pic: 'PLASPACK';
              picnum: 51),

             (num: 0;
              var1: 06;
              var2: 60;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'WidowPack';
              store: nostore;
              cost: 25000;
              usable: false;
              pic: 'WPACK';
              picnum: 34),

             (num: 0;
              var1: 07;
              var2: 80;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Pack';
              store: ammo;
              cost: 50000;
              usable: false;
              pic: 'NPACK';
              picnum: 56),

             (num: 0;
              var1: 0;
              var2: 10;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 8;
              maxuse: 8;
              decuse: false;
              name: 'Apron';
              store: nostore;
              cost: 175;
              usable: false;
              pic: 'APRON';
              picnum: 65),

             (num: 0;
              var1: 0;
              var2: 12;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 10;
              maxuse: 10;
              decuse: false;
              name: 'Cheerldr Suit';
              store: nostore;
              cost: 200;
              usable: false;
              pic: 'CHEERLDR';
              picnum: 26),

             (num: 0;
              var1: 0;
              var2: 15;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 10;
              maxuse: 10;
              decuse: false;
              name: 'Cloth';
              store: armr;
              cost: 250;
              usable: false;
              pic: 'CLOTH';
              picnum: 21),

             (num: 0;
              var1: 0;
              var2: 20;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 20;
              maxuse: 20;
              decuse: false;
              name: 'Leather';
              store: armr;
              cost: 1000;
              usable: false;
              pic: 'LEATHER';
              picnum: 3),

             (num: 0;
              var1: 0;
              var2: 30;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 30;
              maxuse: 30;
              decuse: false;
              name: 'Kevlar';
              store: armr;
              cost: 5000;
              usable: false;
              pic: 'KEVLAR';
              picnum: 16),

             (num: 0;
              var1: 0;
              var2: 35;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 100;
              maxuse: 100;
              decuse: false;
              name: 'Laser-Resist';
              store: armr;
              cost: 25000;
              usable: false;
              pic: 'LASER';
              picnum: 42),

             (num: 0;
              var1: 1;
              var2: 45;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 200;
              maxuse: 200;
              decuse: false;
              name: 'PlasmaVest';
              store: armr;
              cost: 100000;
              usable: false;
              pic: 'PVEST';
              picnum: 46),

             (num: 0;
              var1: 1;
              var2: 60;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 500;
              maxuse: 500;
              decuse: false;
              name: 'Energy Armor';
              store: nostore;
              cost: 200000;
              usable: false;
              pic: 'ENARMR';
              picnum: 47),

             (num: 0;
              var1: 1;
              var2: 65;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 600;
              maxuse: 600;
              decuse: false;
              name: 'Widow Armor';
              store: nostore;
              cost: 250000;
              usable: false;
              pic: 'WARMR';
              picnum: 48),

             (num: 0;
              var1: 1;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medline;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Std Medline';
              store: armr;
              cost: 15000;
              usable: false;
              pic: 'STDMED';
              picnum: 35),

             (num: 0;
              var1: 5;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medline;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Adv Medline';
              store: armr;
              cost: 50000;
              usable: false;
              pic: 'ADVMED';
              picnum: 35),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rope;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Rope';
              store: nostore;   {supp}
              cost: 250;
              usable: true;
              pic: 'ROPE';
              picnum: 14),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rations;
              useleft: 5;
              maxuse: 5;
              decuse: true;
              name: 'Rations';
              store: supp;
              cost: 250;
              usable: true;
              pic: 'RATION5';
              picnum: 18),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rations;
              useleft: 10;
              maxuse: 10;
              decuse: true;
              name: 'Rations';
              store: supp;
              cost: 750;
              usable: true;
              pic: 'RATION10';
              picnum: 18),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rations;
              useleft: 20;
              maxuse: 20;
              decuse: true;
              name: 'Rations';
              store: supp;
              cost: 5000;
              usable: true;
              pic: 'RATION20';
              picnum: 18),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rations;
              useleft: 25;
              maxuse: 25;
              decuse: true;
              name: 'GSRZ Rations';
              store: gsrz;
              cost: 3000;
              usable: true;
              pic: 'GRATN25';
              picnum: 68),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rations;
              useleft: 50;
              maxuse: 50;
              decuse: true;
              name: 'GSRZ Rations';
              store: gsrz;
              cost: 6000;
              usable: true;
              pic: 'GRATN50';
              picnum: 68),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: scanner;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Scanner';
              store: supp;
              cost: 25000;
              usable: true;
              pic: 'SCANNER';
              picnum: 25),

             (num: 0;
              var1: 0;
              var2: 50;
              x: 0;
              y: 0;
              z: 0;
              devapp: stealth;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Stealth Field';
              store: supp;
              cost: 2000;
              usable: true;
              pic: 'STEALTH';
              picnum: 8),

             (num: 0;
              var1: 7;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: gblaster;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Ghetto Blaster';
              store: nostore;
              cost: 250;
              usable: true;
              pic: 'GBLASTER';
              picnum: 11),

             (num: 0;
              var1: 0;
              var2: 50;
              x: 0;
              y: 0;
              z: 0;
              devapp: armorn;
              useleft: 175;
              maxuse: 175;
              decuse: false;
              name: 'Iron Plating';
              store: nostore;
              cost: 40000;
              usable: false;
              pic: 'IPLATING';
              picnum: 37),

             (num: 0;
              var1: 0;
              var2: 60;
              x: 0;
              y: 0;
              z: 0;
              devapp: armorn;
              useleft: 250;
              maxuse: 250;
              decuse: false;
              name: 'Steel Plating';
              store: nostore;
              cost: 50000;
              usable: false;
              pic: 'SPLATING';
              picnum: 45),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: cyceye;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Cyclops Eye';
              store: nostore;
              cost: 500;
              usable: false;
              pic: 'CYCEYE';
              picnum: 39),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: deathbadge;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Death Badge';
              store: nostore;
              cost: 5000;
              usable: false;
              pic: 'Dbadge';
              picnum: 38),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: warper;
              useleft: 5;
              maxuse: 5;
              decuse: True;
              name: 'Warper';
              store: nostore;
              cost: 100000;
              usable: true;
              pic: 'WARPER';
              picnum: 36),


             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: communicator;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Communicator';
              store: nostore;
              cost: 1000;
              usable: true;
              pic: 'COMMUN';
              picnum: 49),

             (num: 0;
              var1: 25;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Windmill';
              store: basereact;
              cost: 5000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 100;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Solar Cells';
              store: basereact;
              cost: 25000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 135;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Solar Array';
              store: basereact;
              cost: 40000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 200;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Fusion';
              store: basereact;
              cost: 75000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 300;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Cold Fusion';
              store: basereact;
              cost: 200000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 350;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: reactor;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Turbine';
              store: basereact;
              cost: 300000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: comm;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Std. Comset';
              store: basecomm;
              cost: 10000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 35;
              var2: 35;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Energy Bars';
              store: basedef;
              cost: 10000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 75;
              var2: 75;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Energy Screen';
              store: basedef;
              cost: 20000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 150;
              var2: 150;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Energy Wall';
              store: basedef;
              cost: 100000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 200;
              var2: 200;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Zone';
              store: basedef;
              cost: 250000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 0510;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: moat;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Dirty Water';
              store: basemoat;
              cost: 5000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 0912;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: moat;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Water/Aligater';
              store: basemoat;
              cost: 15000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 1215;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: moat;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Acid';
              store: basemoat;
              cost: 30000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 1418;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: moat;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Flaming Acid';
              store: basemoat;
              cost: 75000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 510;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'RoboPistol';
              store: baseweap;
              cost: 10000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 712;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'RoboCannon';
              store: baseweap;
              cost: 20000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 1015;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'RoboPhaser';
              store: baseweap;
              cost: 60000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 1320;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'RoboGrav';
              store: baseweap;
              cost: 150000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: tele;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Teleporter';
              store: basetele;
              cost: 100000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: laptop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Laptop';
              store: computer;
              cost: 5000;
              usable: true;
              pic: 'LAPTOP';
              picnum: 50),

             (num: 0;
              var1: 1;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Notes';
              store: computer;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 2;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: AutoNav';
              store: computer;
              cost: 25000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 4;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Transfer';
              store: computer;
              cost: 55000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 8;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Rankings';
              store: computer;
              cost: 750;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 16;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: ViewLog';
              store: computer;
              cost: 750;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 32;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Em-Warp';
              store: nostore;
              cost: 60000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 64;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: FortList';
              store: computer;
              cost: 1500;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 128;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Diet';
              store: computer;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 256;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: C-Stats';
              store: computer;
              cost: 1000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 512;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: LR-Scan';
              store: computer;
              cost: 75000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 1024;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Scanner';
              store: computer;
              cost: 75000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 2048;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: TroyInfo';
              store: troydisk;
              cost: 0;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 4096;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Commlink';
              store: nostore;
              cost: 0;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 8192;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Tetris';
              store: nostore;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 16384;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Appraise';
              store: computer;
              cost: 1500;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 32768;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: TCode';
              store: nostore;
              cost: 25000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: troysteakp;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Troy''s Steaks';
              store: troysteak;
              cost: 0;
              usable: false;
              pic: 'STEAK';
              picnum: 58),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: troysteakp;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'B.A.D. Device';
              store: nostore;
              cost: 0;
              usable: false;
              pic: 'BAD';
              picnum: 55),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: recharge;
              useleft: 3;
              maxuse: 3;
              decuse: true;
              name: 'Recharger';
              store: supp;
              cost: 250000;
              usable: true;
              pic: 'RECHRGE';
              picnum: 66),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: pylonkey;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Pylon Key';
              store: supp;
              cost: 3500;
              usable: false;
              pic: 'PKEY';
              picnum: 70),

             (num: 0;
              var1: 50;
              var2: 1000;
              x: 0;
              y: 0;
              z: 0;
              devapp: VortexBatt;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Vortex Cell';
              store: eeee;
              cost: 150000;
              usable: true;
              pic: 'VORTCELL';
              picnum: 102),           {71}

             (num: 0;
              var1: 75;
              var2: 1250;
              x: 0;
              y: 0;
              z: 0;
              devapp: VortexBatt;
              useleft: 0;
              maxuse: 1;
              decuse: false;
              name: 'Kralox Cell';
              store: eeee;
              cost: 300000;
              usable: true;
              pic: 'KRALCELL';
              picnum: 103),           {72}

             (num: 0;
              var1: 90;
              var2: 1500;
              x: 0;
              y: 0;
              z: 0;
              devapp: VortexBatt;
              useleft: 0;
              maxuse: 2;
              decuse: false;
              name: 'Vitron Cell';
              store: eeee;
              cost: 800000;
              usable: true;
              pic: 'VITRCELL';
              picnum: 104),           {73}

             (num: 0;
              var1: 15;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medline;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Zilpox Medline';
              store: eeee;
              cost: 130000;
              usable: false;
              pic: 'ZILMED';
              picnum: 35),

             (num: 0;
              var1: 25;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: medline;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Stilzi Medline';
              store: eeee;
              cost: 290000;
              usable: false;
              pic: 'STIMED';
              picnum: 35),

             (num: 0;
              var1: 083045;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Pulse Rifle';
              store: eeee;
              cost: 500000;
              usable: false;
              pic: 'PRIFLE';
              picnum: 74),

             (num: 0;
              var1: 083555;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Pulse Bazooka';
              store: eeee;
              cost: 750000;
              usable: false;
              pic: 'PBAZOO';
              picnum: 75),

             (num: 0;
              var1: 084055;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Xenon''s Surprise';
              store: eeee;
              cost: 1000000;
              usable: false;
              pic: 'XENON';
              picnum: 76),

             (num: 0;
              var1: 08;
              var2: 75;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Trivex Pack';
              store: eeee;
              cost: 125000;
              usable: false;
              pic: 'TPACK';
              picnum: 77),

             (num: 0;
              var1: 004560;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'DreamBlaster';
              store: nostore;
              cost: 2000000;
              usable: false;
              pic: 'DREAMBLA';
              picnum: 78),

             (num: 0;
              var1: 002025;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'DreamSabre';
              store: nostore;
              cost: 1250000;
              usable: false;
              pic: 'DREAMSAB';
              picnum: 100),               {79}

             (num: 0;
              var1: 1;
              var2: 70;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 800;
              maxuse: 800;
              decuse: false;
              name: 'DreamArmor';
              store: nostore;
              cost: 1250000;
              usable: false;
              pic: 'DREAMARM';
              picnum: 97),                {80}

             (num: 0;
              var1: 250;
              var2: 250;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Dimensional Wall';
              store: basedef;
              cost: 750000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 300;
              var2: 300;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Vortex Barrier';
              store: basedef;
              cost: 1000000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 350;
              var2: 350;
              x: 0;
              y: 0;
              z: 0;
              devapp: deffield;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Vitronic Shield';
              store: basedef;
              cost: 2500000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 2025;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: moat;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Energy Swamp';
              store: basemoat;
              cost: 250000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 1825;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Neutron Torch';
              store: baseweap;
              cost: 500000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 2230;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: bweap;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Phase Cannon';
              store: baseweap;
              cost: 1500000;
              usable: false;
              pic: '';
              picnum: 0),

             (num: 0;
              var1: 002535;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Cabal Sceptre';
              store: nostore;
              cost: 5000000;
              usable: false;
              pic: 'CABSCEP';
              picnum: 99),                      {81}

             (num: 0;
              var1: 005070;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'TerrorBlast';
              store: nostore;
              cost: 5000000;
              usable: false;
              pic: 'TERBLAST';
              picnum: 82),

             (num: 0;
              var1: 1;
              var2: 80;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 2000;
              maxuse: 2000;
              decuse: false;
              name: 'Quantum Field';
              store: nostore;
              cost: 5000000;
              usable: false;
              pic: 'QFIELD';
              picnum: 96),

             (num: 0;
              var1: 095065;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Nuke-O-Matic';
              store: eeee;
              cost: 1500000;
              usable: false;
              pic: 'NUKEO';
              picnum: 83),

             (num: 0;
              var1: 071825;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Fire Sabre';
              store: eeee;
              cost: 600000;
              usable: false;
              pic: 'FSABRE';
              picnum: 98),          {84}

             (num: 0;
              var1: 09;
              var2: 30;
              x: 0;
              y: 0;
              z: 0;
              devapp: ammop;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Nuke Shell';
              store: eeee;
              cost: 200000;
              usable: false;
              pic: 'NSHELL';
              picnum: 85),

             (num: 0;
              var1: 1;
              var2: 75;
              x: 0;
              y: 0;
              z: 0;
              devapp: armor;
              useleft: 999;
              maxuse: 999;
              decuse: false;
              name: 'Phase Armor';
              store: eeee;
              cost: 1500000;
              usable: false;
              pic: 'PHASEARM';
              picnum: 86),

             (num: 0;
              var1: 002530;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: weapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'A-Mk.II';
              store: nostore;
              cost: 2000000;
              usable: false;
              pic: 'AMKII';
              picnum: 87),

             (num: 0;
              var1: 005065;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rangeweapon;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'TachyonBlaster';
              store: nostore;
              cost: 2000000;
              usable: false;
              pic: 'TACHBLAST';
              picnum: 88),

             (num: 0;
              var1: 0;
              var2: 75;
              x: 0;
              y: 0;
              z: 0;
              devapp: stealth;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'EnviroBlur';
              store: nostore;
              cost: 60000;
              usable: true;
              pic: 'EVLUR';
              picnum: 89),

             (num: 0;
              var1: 0;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: unitran;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Uni-Translator';
              store: nostore;
              cost: 50000;
              usable: true;
              pic: 'UTRAN';
              picnum: 101),                    {90}

             (num: 0;
              var1: 000520;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: mine;
              useleft: 1;
              maxuse: 1;
              decuse: false;
              name: 'Dumb Mine';
              store: eeee;
              cost: 75000;
              usable: true;
              pic: 'DMINE';
              picnum: 91),

             (num: 0;
              var1: 010520;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: mine;
              useleft: 1;
              maxuse: 1;
              decuse: false;
              name: 'Smart Mine';
              store: eeee;
              cost: 200000;
              usable: true;
              pic: 'SMINE';
              picnum: 92),

             (num: 0;
              var1: 001525;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: mine;
              useleft: 5;
              maxuse: 5;
              decuse: false;
              name: 'Day Ruiner';
              store: eeee;
              cost: 750000;
              usable: true;
              pic: 'DRMINE';
              picnum: 93),

             (num: 0;
              var1: 012035;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: mine;
              useleft: 5;
              maxuse: 5;
              decuse: false;
              name: 'MegaMine';
              store: eeee;
              cost: 2000000;
              usable: true;
              pic: 'MMINE';
              picnum: 94),

             (num: 0;
              var1: 015099;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: mine;
              useleft: 2;
              maxuse: 2;
              decuse: false;
              name: 'MicroNuke';
              store: eeee;
              cost: 5000000;
              usable: true;
              pic: 'NMINE';
              picnum: 95),

             (num: 0;
              var1: 65536;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: History';
              store: nostore;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 131072;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Windows';
              store: nostore;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 262144;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: rom;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'ROM: Fortinv';
              store: nostore;
              cost: 5000;
              usable: false;
              pic: 'ROMDISK';
              picnum: 53),

             (num: 0;
              var1: 1;
              var2: 0;
              x: 0;
              y: 0;
              z: 0;
              devapp: tele;
              useleft: 0;
              maxuse: 0;
              decuse: false;
              name: 'Exc. Teleporter';
              store: basetele;
              cost: 350000;
              usable: false;
              pic: '';
              picnum: 0)

              );

 tdng: array[1..30] of word =        (10,            0,               15,
                                      15,            5,               40,
                                      15,           20,                5,
                                       5,           35,               12,
                                       5,          100,               45,
                                       5,            0,                0,
                                       0,            0,                5,
                                       5,            5,                5,
                                       5,            5,                5,
                                       5,            5,                5);

 ttype: array[1..30] of string[11] = ('Plains',       'Impass. Mtn',  'Desert',
                                      'Mountains',    'Road',         'Wastelands',
                                      'Water',        'Swamp',        'U-Pylon',
                                      'D-Pylon',      'Radiation',    'Forrest',
                                      'Hort. Stn.',   'Phsr Cache',   'Nuke Silo',
                                      'Clone Cntr',   '??',           '??',
                                      '??',           '??',           'Sacre Base',
                                      'Freedom Cty',  'DW HQ',        'Widow Base',
                                      'Draku HQ',     'Xeboc HQ',     'Town',
                                      'Town',         'Town',         'EEEE Center');

 terrain: array[1..30] of string[3] = ('-- ','MM ','.. ','mm ','|| ','ww ',
                                       '~~ ','"" ','/\ ','/\ ','rr ','ff ',
                                       'HS ','PC ','NS ','CC ','?? ','?? ',
                                       '?? ','?? ','11 ','22 ','33 ','44 ',
                                       '55 ','66 ','77 ','88 ','99 ','EE ');

 tcolor: array[1..30] of byte = (lightgreen,lightgray,yellow,brown,white,lightgreen,
                                 lightblue,lightcyan,lightred,lightred,red,
                                 lightgreen,green,yellow,yellow,yellow,
                                 darkgray,darkgray,darkgray,darkgray,
                                 yellow,yellow,yellow,yellow,yellow,yellow,yellow,
                                 yellow,yellow,yellow);
 tpass: array[1..30] of boolean=(true, false, true, true, true, true,
                                 true, true,  true, true, true, true,
                                 true, true,  true, true, true, true,
                                 true, true,  true, true, true, true,
                                 true, true,  true, true, true, true);

 numtav=9;
 taverns: array[1..numtav] of taverntype=(
                                (PersonName: 'Defs Sacre';
                                 Personnum: 1;
                                 townnum: 1),

                                (PersonName: 'Jeffrey';
                                 PersonNum: 2;
                                 townnum: 1),

                                (PersonName: 'Troy Hadley';
                                 Personnum: 3;
                                 townnum: 1),

                                (PersonName: 'Mayor Eastwood';
                                 Personnum: 4;
                                 townnum: 2),

                                (PersonName: 'Joe Farmer';
                                 Personnum: 5;
                                 townnum: 2),

                                (PersonName: 'Whiz';
                                 Personnum: 6;
                                 townnum: 2),

                                (Personname: 'Trader Rick';
                                 Personnum: 7;
                                 townnum: 2),

                                (Personname: 'Mean Max';
                                 Personnum: 8;
                                 townnum: 1),

                                (Personname: 'Captain Targon';
                                 Personnum: 9;
                                 townnum: 1));

var
 a: word;
 f2: file of devdeftype;
 f3: file of terraintype;
 f4: file of tavernarray;
 t: terraintype;
 d: devdeftype;
begin;
 assign(f2,'DEVICES.DEF');
 rewrite(f2);
 fillchar(d,sizeof(d),0);
 d.name:='Nil';
 for a:=0 to numdev do begin;
  if a=0 then write(f2,d) else write(f2,devicedef[a]);
 end;
 for a:=numdev+1 to devfilesize do begin;
  write(f2,d);
 end;
 close(f2);

 assign(f3,'TERRAIN.DEF');
 rewrite(f3);
 fillchar(t,sizeof(t),0);
 write(f3,t);
 for a:=1 to 30 do begin;
  t.dng:=tdng[a];
  t.typ:=ttype[a];
  t.map:=terrain[a];
  t.clr:=tcolor[a];
  t.pas:=tpass[a];
  write(f3,t);
 end;
 close(f3);

 assign(f4,'TAVERN.DEF');
 rewrite(f4);
 fillchar(globals.tavern,sizeof(globals.tavern),0);
 move(taverns,globals.tavern,sizeof(taverns));
 write(f4,globals.tavern);
 close(f4);
end.